//Art 22 For Loop Examples

void setup()
{
  size(400, 400);
  noStroke();
  frameRate(30);
}

void draw()
{  
  pickBackgroundColor();
  
  //* 
  for(int i = 0; i < 7; i++) //do something 7 times (i = 0 to 6)
  {
    //fill(i*40); //change the current fill color
    ellipse(50 + i*50, 200, 50, 50); //draw an ellipse
  }
  //*/
  
  //using a custom function 
  //drawRandomEllipses(1, 50);
}

void pickBackgroundColor()
{
  int r = (int)random(100); //pick a random number, 0 to 9
  //println(r); //sanity check: monitor its output
  if(r == 5) //if the random number equals 5
    background(255, 0, 0); //red background
  else
    background(0); //black background
}

void drawRandomEllipses(int num, int maxSize)
{ 
   for(int i = 0; i < num; i++) //do something num times (i = 0 to num-1)
   {
    int x = (int)random(width);
    int y = (int)random(height);
    int size = (int)random(maxSize);
    ellipse(x, y, size, size);
   }
}